Package com.ocient.jdbc

# Class XGTime

java.lang.Object
java.util.Date
java.sql.Time
com.ocient.jdbc.XGTime

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable<Date>`

    public class XGTime
    extends Time

See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`XGTime​(int hour, int minute, int second)` | Deprecated.
`XGTime​(long time)` |
`XGTime​(Time t)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`XGTime` | `addMs​(int ms)` |
`boolean` | `equals​(Object obj)` |
`static Date` | `from​(Instant instant)` |
`int` | `getDate()` | Deprecated.
`int` | `getDay()` | Deprecated.
`int` | `getMonth()` | Deprecated.
`int` | `getTimezoneOffset()` | Deprecated.
`int` | `getYear()` | Deprecated.
`int` | `hashCode()` |
`static long` | `parse​(String s)` | Deprecated.
`void` | `setDate​(int date)` | Deprecated.
`void` | `setMonth​(int month)` | Deprecated.
`void` | `setYear​(int year)` | Deprecated.
`String` | `toGMTString()` | Deprecated.
`String` | `toLocaleString()` | Deprecated.
`String` | `toString()` |
`static long` | `UTC​(int year, int month, int date, int hrs, int min, int sec)` | Deprecated.
`static Time` | `valueOf​(String s)` |

### Methods inherited from class java.sql.Time

`setTime, toInstant, toLocalTime, valueOf`

### Methods inherited from class java.util.Date

`after, before, clone, compareTo, getHours, getMinutes, getSeconds, getTime, setHours, setMinutes, setSeconds`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XGTime

@Deprecated public XGTime​(int hour, int minute, int second)
Deprecated.

### XGTime

public XGTime​(long time)

### XGTime

public XGTime​(Time t)

## Method Details

### from

public static Date from​(Instant instant)

### parse

@Deprecated public static long parse​(String s)
Deprecated.

### UTC

@Deprecated public static long UTC​(int year, int month, int date, int hrs, int min, int sec)
Deprecated.

### valueOf

public static Time valueOf​(String s)

### addMs

public XGTime addMs​(int ms)

### equals

public boolean equals​(Object obj)

Overrides:
  `equals` in class `Date`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Date`

### getDate

@Deprecated public int getDate()
Deprecated.

Overrides:
  `getDate` in class `Time`

### getDay

@Deprecated public int getDay()
Deprecated.

Overrides:
  `getDay` in class `Time`

### getMonth

@Deprecated public int getMonth()
Deprecated.

Overrides:
  `getMonth` in class `Time`

### getTimezoneOffset

@Deprecated public int getTimezoneOffset()
Deprecated.

Overrides:
  `getTimezoneOffset` in class `Date`

### getYear

@Deprecated public int getYear()
Deprecated.

Overrides:
  `getYear` in class `Time`

### setDate

@Deprecated public void setDate​(int date)
Deprecated.

Overrides:
  `setDate` in class `Time`

### setMonth

@Deprecated public void setMonth​(int month)
Deprecated.

Overrides:
  `setMonth` in class `Time`

### setYear

@Deprecated public void setYear​(int year)
Deprecated.

Overrides:
  `setYear` in class `Time`

### toGMTString

@Deprecated public String toGMTString()
Deprecated.

Overrides:
  `toGMTString` in class `Date`

### toLocaleString

@Deprecated public String toLocaleString()
Deprecated.

Overrides:
  `toLocaleString` in class `Date`

### toString

public String toString()

Overrides:
  `toString` in class `Time`